Back to top

API Documentation

Applications

A brand may register external applications (e.g. Contact or Deal apps) that can later be referenced from other parts of the platform — for example, by SSO applications whose authentication_type is Application.

Each application belongs to a brand and has an application_type of Contact, Contacts, Deal, Generic, or Integration.

Create an application

Create an application
POST/brands/:brand/applications

Creates an application under the given brand. The body must include a url and an application_type (Contact, Contacts, Deal, Generic, or Integration).

Example URI

POST /brands/:brand/applications
URI Parameters
HideShow
brand
string (required) Example: 9bb2ab61-9671-4e88-8008-a0eb142eb59c
Request
HideShow
Body
{
  "url": "https://example.com/app",
  "application_type": "Deal"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "f59ca2da-98f0-42a8-8222-f4a966226277",
    "created_at": 1792423413.108866,
    "updated_at": 1792423413.108866,
    "deleted_at": null,
    "url": "https://example.com/app",
    "application_type": "Deal",
    "brand": "9bb2ab61-9671-4e88-8008-a0eb142eb59c",
    "type": "application"
  }
}

Get applications for a brand

Get applications for a brand
GET/brands/:brand/applications

Example URI

GET /brands/:brand/applications
URI Parameters
HideShow
brand
string (required) Example: 9bb2ab61-9671-4e88-8008-a0eb142eb59c
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "f59ca2da-98f0-42a8-8222-f4a966226277",
      "created_at": 1792423413.108866,
      "updated_at": 1792423413.108866,
      "deleted_at": null,
      "url": "https://example.com/app",
      "application_type": "Deal",
      "brand": "9bb2ab61-9671-4e88-8008-a0eb142eb59c",
      "type": "application"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Delete an application

Delete an application
DELETE/brands/:brand/applications/:id

Example URI

DELETE /brands/:brand/applications/:id
URI Parameters
HideShow
brand
string (required) Example: 9bb2ab61-9671-4e88-8008-a0eb142eb59c
id
string (required) Example: f59ca2da-98f0-42a8-8222-f4a966226277
Response  204

Generated by aglio on 19 Oct 2026